diff --git a/web/pgadmin/browser/templates/browser/js/collection.js b/web/pgadmin/browser/templates/browser/js/collection.js
index 6575675..776ac4c 100644
--- a/web/pgadmin/browser/templates/browser/js/collection.js
+++ b/web/pgadmin/browser/templates/browser/js/collection.js
@@ -37,12 +37,12 @@ function($, _, S, pgAdmin, Backbone, Alertify, Backform) {
         icon: 'fa fa-refresh'
       }]);

-      // show query tool in context & object menu of supported nodes.
+      // show query tool only in context menu of supported nodes.
       if (pgAdmin.DataGrid && pgAdmin.unsupported_nodes) {
         if (_.indexOf(pgAdmin.unsupported_nodes, this.type) == -1) {
           pgAdmin.Browser.add_menus([{
             name: 'show_query_tool', node: this.type, module: this,
-            applies: ['object', 'context'], callback: 'show_query_tool',
+            applies: ['context'], callback: 'show_query_tool',
             priority: 998, label: '{{ _("Query Tool...") }}',
             icon: 'fa fa-bolt'
           }]);
diff --git a/web/pgadmin/browser/templates/browser/js/node.js b/web/pgadmin/browser/templates/browser/js/node.js
index e83981c..247966e 100644
--- a/web/pgadmin/browser/templates/browser/js/node.js
+++ b/web/pgadmin/browser/templates/browser/js/node.js
@@ -107,12 +107,12 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform) {
         }
       }

-      // show query tool in context & object menu of supported nodes.
+      // show query tool only in context menu of supported nodes.
       if (pgAdmin.DataGrid && pgAdmin.unsupported_nodes) {
         if (_.indexOf(pgAdmin.unsupported_nodes, self.type) == -1) {
           pgAdmin.Browser.add_menus([{
             name: 'show_query_tool', node: self.type, module: self,
-            applies: ['object', 'context'], callback: 'show_query_tool',
+            applies: ['context'], callback: 'show_query_tool',
             priority: 998, label: '{{ _("Query Tool...") }}',
             icon: 'fa fa-bolt'
           }]);
